Page MenuHomePhabricator

Refactor Options handling in Streaming Updater
Closed, ResolvedPublic3 Estimated Story Points

Description

As a developer I want to easily understand how options are handled in streaming updater so that I can develop changes faster.

AC:

  • Options are handled outside of UpdaterJob class.

Event Timeline

Zbyszko created this task.Jul 17 2020, 8:33 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptJul 17 2020, 8:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Zbyszko updated the task description. (Show Details)Aug 10 2020, 3:48 PM
TJones added a subscriber: dcausse.Aug 10 2020, 3:48 PM
CBogen set the point value for this task to 3.Aug 10 2020, 3:49 PM

We should do that before architecture review - so the reviewers will be able to focus on the architecture instead of understanding how unimportant things (for the architecture) work. In the future, this kind of things should be done along side standard development.

Change 626700 had a related patch set uploaded (by ZPapierski; owner: ZPapierski):
[wikidata/query/rdf@master] Extract args handling from the job objects

https://gerrit.wikimedia.org/r/626700

Change 626700 merged by jenkins-bot:
[wikidata/query/rdf@master] Extract args handling from the job objects

https://gerrit.wikimedia.org/r/626700

Gehel closed this task as Resolved.Sep 28 2020, 3:15 PM